/*
 * tests.h
 *
 *  Created on: Dec 18, 2012
 *      Author: att
 */

#ifndef TESTS_H_
#define TESTS_H_
#include <string>
#include <iostream>
#include "TestLexer.h"
#include "TestASTInspector.h"
#include "TestParser.h"
#include "TestStdLib.h"
#include "../Lexer.h"
#include "../Parser.h"


using namespace std;


void run_test_suites()
{
	std::cout << "Testing lexer..." << std::endl;
	TestLexer test_lexer;
	test_lexer.run_tests();

	std::cout << "Testing ASTInspector..." << std::endl;
	TestASTInspector test_inspector;
	test_inspector.run_tests();

	std::cout << "Testing parser..." << std::endl;
	TestParser test_parser;
	test_parser.run_tests();

	std::cout << "Testing standard library..." << std::endl;
	TestStdLib test_standard_library;
	test_standard_library.run_tests();
}

void run_tests()
{
	cout << "daaarp!" << endl;
	run_test_suites();

}



#endif /* TESTS_H_ */
